EDIT - bug #6844

New feature tree selection does not allow "no save"

07/22/2017 08:40 AM - Andreas Miller

Status: Rejected Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version: Release 4.9
Description

If a feature tree in feature tree editor was changed and one clicks on "select new feature tree" a save dialog opens askin "You have
to save ... Save now?". Answering with "NO" closes the dialog which is not the expected behavior.

We need "Save, no save, cancel" as sometimes one does not want to save the changes. Also the dialog statement needs to be

changed to "You have unsaved changes. Do you want to save?"

Related issues:
Related to EDIT - feature request #6694: Migrate FeatureTreeEditor

Closed

Related to EDIT - feature request #6746: Implement DetailsView and show Suppl... Closed

Associated revisions

Revision dd627134 - 03/05/2018 11:02 AM - Patrick Plitzner

ref #6844 Enhance message dialog when loading new tree in dirty view

History

#1 - 07/22/2017 08:40 AM - Andreas Miiller
- Related to feature request #6694: Migrate FeatureTreeEditor added

#2 - 09/24/2017 12:59 AM - Andreas Miiller

Is this still an open issue?

#3 - 09/26/2017 01:50 PM - Patrick Plitzner

- Target version changed from Release 4.10 to Release 4.11

still open

#4 - 11/08/2017 11:22 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#5 - 12/05/2017 02:12 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#6 - 01/31/2018 12:29 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#7 - 02/15/2018 03:26 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#8 - 03/05/2018 03:41 PM - Patrick Plitzner

- Status changed from New to In Progress

#9 - 03/09/2018 09:06 AM - Patrick Plitzner
- Status changed from In Progress to Rejected

- Target version deleted (Release 5.0)
- % Done changed from 0 to 100

By implementing #6746 we no longer have the option to choose a feature tree via the selection dialog but instead all feature trees are shown as root
nodes in the editor.

#10 - 03/09/2018 09:06 AM - Patrick Plitzner
- Related to feature request #6746: Implement DetailsView and show SupplementalDataView for Feature Tree and FeatureNode added
